Detach = {}

function Detach.prerequisitesPresent(specializations)
Vehicle.registerJointType("cutter");
return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function Detach:load(xmlFile)
end;

function Detach:update(dt)
end;

function Detach:keyEvent(unicode, sym, modifier, isDown)
end;

function Detach:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Detach:delete()
end;

function Detach:draw()
  if self.attacherVehicle ~= nil then
		g_currentMission:addExtraPrintText("Key Shift+Q: Detach header trailer and cutter");
  end;
end;

function Detach:onDetach()
	for i=table.getn(self.attachedImplements), 1, -1 do
	self:detachImplement(1);
	end;
end;